harald / rpms / dracut

Forked from rpms/dracut 5 years ago
Clone

Blame 0081-plymouth-plymouth-newroot.sh-fixed-pre-pivot-hook.patch

811c04a
From 171ba532bc93951bb06c8bc1acdc80718dc306e4 Mon Sep 17 00:00:00 2001
811c04a
From: Harald Hoyer <harald@redhat.com>
811c04a
Date: Mon, 30 Jul 2012 13:39:37 +0200
811c04a
Subject: [PATCH] plymouth/plymouth-newroot.sh: fixed pre-pivot hook
811c04a
811c04a
---
811c04a
 modules.d/50plymouth/plymouth-newroot.sh | 2 +-
811c04a
 1 file changed, 1 insertion(+), 1 deletion(-)
811c04a
811c04a
diff --git a/modules.d/50plymouth/plymouth-newroot.sh b/modules.d/50plymouth/plymouth-newroot.sh
811c04a
index 2ffc929..c5f1e56 100755
811c04a
--- a/modules.d/50plymouth/plymouth-newroot.sh
811c04a
+++ b/modules.d/50plymouth/plymouth-newroot.sh
811c04a
@@ -2,5 +2,5 @@
811c04a
 # -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
811c04a
 # ex: ts=8 sw=4 sts=4 et filetype=sh
811c04a
 
811c04a
-[ -x /bin/plymouth ! -x /lib/systemd/systemd ] || exit 0
811c04a
+[ -x /bin/plymouth -a ! -x /lib/systemd/systemd ] || exit 0
811c04a
 /bin/plymouth --newroot=$NEWROOT